cancel
Showing results for 
Search instead for 
Did you mean: 

RAILS + Capistrano

Piotr Kirklewski
Super Advisor

RAILS + Capistrano

Hi there:
I did this on Ubuntu 7:

2. apt-get install ruby1.8-dev
3. apt-get install rubygems
4. gem install deprec
5. gem install rails --include-dependencies
6. PATH=/var/lib/gems/1.8/bin/:$PATH
7. rails my_rails_app
8. cd my_rails_app
9. deprec --apply-to .
10. vim config/deploy.rb
11. vim /config/database.yml
12. ssh-keygen -t rsa -C "peter@localhost"
13. cap setup_ssh_keys (in my_rails_app)
14. cap install_rails_stack
15. cap setup

Everythink is going well till cap setup:

root@ubuntus:~/my_rails_app# cap setup
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load -- deprec/recipes (LoadError)
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
from /usr/lib/ruby/gems/1.8/gems/capistrano-1.4.1/lib/capistrano/configuration.rb:202:in `require'
from ./config/deploy.rb:1:in `load'

I was trying very hard - entire day.
Does enybody know how to get rid of that?


Cheers




Jesus is the King